package com.learning.itemgroup;


import com.learning.Learning;
import com.learning.item.CustomItems;

import net.fabricmc.fabric.api.itemgroup.v1.ItemGroupEvents;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.ItemGroups;
import net.minecraft.item.ItemStack;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.text.Text;
import net.minecraft.util.Identifier;

public class CustomItemGroup {
    public static void registerItemGroup() {
    Learning.LOGGER.info("Registering ItemGroup...");
    Learning.LOGGER.info("Registering item into ItemGroups...");
    ItemGroupEvents.modifyEntriesEvent(ItemGroups.FOOD_AND_DRINK).register(
            register -> register.add(CustomItems.toast)
        );
    }

    public static ItemGroup customItemGroup = register("custom_itemgroup", ItemGroup.create(null, -1)
    .icon(() -> new ItemStack(CustomItems.toast))
    .displayName(Text.translatable("itemGroup.learning.custom_itemgroup"))
    .entries((displayContext, entries) -> {
            entries.add(CustomItems.toast);
            entries.add(CustomItems.bakedToast);
            entries.add(CustomItems.damageBlock);
        })
    .build());

  private static ItemGroup register(String groupId, ItemGroup itemGroup) {
        return Registry.register(
            Registries.ITEM_GROUP, 
            Identifier.of(Learning.MOD_ID, groupId), 
            itemGroup);
    }
}
